lv.eparaksts.edoc

## Interface EDoc2QualifiedSignature

- All Superinterfaces:
    EDoc2Signature, Validatable

      public interface EDoc2QualifiedSignature
      extends EDoc2Signature

  An `EDoc2QualifiedSignature` interface represents access methods to QUALIFIED profile signature functionality
  See Also:
    `SignatureProfile`, `EDoc2Signature.getProfile()`

- - ### Field Summary

    - ### Fields inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `KEY_SIGNATURE_METHOD_URI, SIGNATURE_METHOD_ECDSA_SHA256, SIGNATURE_METHOD_ECDSA_SHA384, SIGNATURE_METHOD_ECDSA_SHA512, SIGNATURE_METHOD_RSA_SHA1, SIGNATURE_METHOD_RSA_SHA224, SIGNATURE_METHOD_RSA_SHA256, SIGNATURE_METHOD_RSA_SHA384, SIGNATURE_METHOD_RSA_SHA512`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getSignatureValueDigest(String messageDigestAlgorithm)` Returns hash value of the signature value.
    `void` | `setCertificateValues(List<byte[]> certificateValues)` Sets a list of X.509 certificates that are required to validate the signature.
    `void` | `setRevocationValues(List<byte[]> ocspValues, List<byte[]> crlValues)` Sets a list of OCSP responses and a list of CRL to the signature
    `void` | `setSignatureTimestamps(List<byte[]> signatureTimestamps)` Sets a list of ASN.1 encoded signature timestamps to the signature

    - ### Methods inherited from interface lv.eparaksts.edoc.EDoc2Signature

      `archivedSignature, basicSignature, complete, getArchiveTimestamps, getCertificateValues, getClaimedSigningTime, getCRLs, getId, getOCSPResponses, getProfile, getSignatureMethodAlgorithm, getSignatureProductionPlace, getSignatureTimestamps, getSignatureValue, getSignerClaimedRoles, getSigningCertificate, qualifiedSignature`

    - ### Methods inherited from interface lv.eparaksts.validation.Validatable

      `validate, validate`

- - ### Method Detail

    - #### getSignatureValueDigest

          byte[] getSignatureValueDigest(String messageDigestAlgorithm)
                                  throws EDoc2Exception

      Returns hash value of the signature value. Digest can be used to request Timestamp from Timestamp provider
      Parameters:
        `messageDigestAlgorithm` - digest algorithm name See the `MessageDigest` section in the Java Cryptography Architecture Standard Algorithm Name Documentation for information about standard algorithm names. For example: `SHA-1` or `SHA-256`
      Returns:
        digest bytes
      Throws:
        `EDoc2Exception` - if no Provider supports a MessageDigestSpi implementation for the specified algorithm
      See Also:
        `Provider`

    - #### setSignatureTimestamps

          void setSignatureTimestamps(List<byte[]> signatureTimestamps)
                               throws EDoc2Exception

      Sets a list of ASN.1 encoded signature timestamps to the signature
      Parameters:
        `signatureTimestamps` - a list of signature timestamps
      Throws:
        `EDoc2Exception`
      See Also:
        `EDoc2Signature.getSignatureTimestamps()`

    - #### setCertificateValues

          void setCertificateValues(List<byte[]> certificateValues)
                             throws EDoc2Exception

      Sets a list of X.509 certificates that are required to validate the signature.
      Parameters:
        `certificateValues` -
      Throws:
        `EDoc2Exception`
      See Also:
        `EDoc2Signature.getCertificateValues()`

    - #### setRevocationValues

          void setRevocationValues(List<byte[]> ocspValues,
                                   List<byte[]> crlValues)
                            throws EDoc2Exception

      Sets a list of OCSP responses and a list of CRL to the signature
      Parameters:
        `ocspValues` - a list of DER encoded OCSP responses accordingly to Online Certificate Status Protocol (RFC 2560).
        `crlValues` - a list of X.509 CRL
      Throws:
        `EDoc2Exception`
      See Also:
        `EDoc2Signature.getOCSPResponses()`, `EDoc2Signature.getCRLs()`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO